import * as z from 'zod';
export const StaffAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    userId: z.number(),
    name: z.number(),
    email: z.number(),
    role: z.number(),
    phone: z.number(),
    createdAt: z.number(),
    user: z.number(),
    appointments: z.number(),
    claims: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    email: z.string().nullable(),
    role: z.string().nullable(),
    phone: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    email: z.string().nullable(),
    role: z.string().nullable(),
    phone: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional()});